argagg

Functions
argagg::convert Namespace Reference

The set of template instantiations that convert C-strings to other types for the option_result::as(), option_results::as(), parser_results::as(), and parser_results::all_as() methods are placed in this namespace. More...

## Functions
template<typename T >
T | arg (const char *arg)
| Explicit instantiations of this function are used to convert arguments to types. More...
template<typename T >
T | long_ (const char *arg)
| Templated function for conversion to T using the std::strtol() function. This is used for anything long length or shorter (long, int, short, char). More...
template<typename T >
T | long_long_ (const char *arg)
| Templated function for conversion to T using the std::strtoll() function. This is used for anything long long length or shorter (long long). More...
template<>
bool | arg (const char *arg)
template<>
float | arg (const char *arg)
template<>
double | arg (const char *arg)
template<>
const char * | arg (const char *arg)
template<>
std::string | arg (const char *arg)

## Detailed Description

The set of template instantiations that convert C-strings to other types for the option_result::as(), option_results::as(), parser_results::as(), and parser_results::all_as() methods are placed in this namespace.

## Function Documentation

## ◆ arg() [1/6]

template<typename T >

T argagg::convert::arg | ( | const char * | arg | ) |

Explicit instantiations of this function are used to convert arguments to types.

## ◆ arg() [2/6]

template<>

bool argagg::convert::arg | ( | const char * | arg | ) |
| inline

Definition at line 1382 of file argagg.hpp.

## ◆ arg() [3/6]

template<>

float argagg::convert::arg | ( | const char * | arg | ) |
| inline

Definition at line 1389 of file argagg.hpp.

## ◆ arg() [4/6]

template<>

double argagg::convert::arg | ( | const char * | arg | ) |
| inline

Definition at line 1407 of file argagg.hpp.

## ◆ arg() [5/6]

template<>

const char * argagg::convert::arg | ( | const char * | arg | ) |
| inline

Definition at line 1425 of file argagg.hpp.

## ◆ arg() [6/6]

template<>

std::string argagg::convert::arg | ( | const char * | arg | ) |
| inline

Definition at line 1432 of file argagg.hpp.

## ◆ long_()

template<typename T >

T argagg::convert::long_ | ( | const char * | arg | ) |
| inline

Templated function for conversion to T using the std::strtol() function. This is used for anything long length or shorter (long, int, short, char).

Definition at line 1307 of file argagg.hpp.

## ◆ long_long_()

template<typename T >

T argagg::convert::long_long_ | ( | const char * | arg | ) |
| inline

Templated function for conversion to T using the std::strtoll() function. This is used for anything long long length or shorter (long long).

Definition at line 1331 of file argagg.hpp.